<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:30 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MasterDB (server 1.2 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MasterDB (server 1.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MasterDB.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../ru/lanolin/server/MailSend.MailAuthenticationPassword.html" title="class in ru.lanolin.server"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../ru/lanolin/server/Server.html" title="class in ru.lanolin.server"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?ru/lanolin/server/MasterDB.html" target="_top">Frames</a></li>
<li><a href="MasterDB.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.lanolin.server</div>
<h2 title="Class MasterDB" class="title">Class MasterDB</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>ru.lanolin.server.MasterDB</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MasterDB</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Универсальный класс, для работы с базами данными</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#ADD_NEW_HUMAN">ADD_NEW_HUMAN</a></span></code>
<div class="block">SQL запрос для добавления нового <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> в БД</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#ADD_NEW_USER">ADD_NEW_USER</a></span></code>
<div class="block">SQL запрос для добавления нового пользователя.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#AUTHENTICATION">AUTHENTICATION</a></span></code>
<div class="block">SQL запрос для получения записи об пользователе</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#CHECK_USER">CHECK_USER</a></span></code>
<div class="block">SQL запрос для проврки на ссуществования пользователя в БД при регистарции</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#configuration">configuration</a></span></code>
<div class="block">Настройки приложения.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#connection">connection</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> для соединения с БД</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#DELETE_HUMAN">DELETE_HUMAN</a></span></code>
<div class="block">SQL запрос для удаления <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из БД</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#GET_ALL_HUMAN">GET_ALL_HUMAN</a></span></code>
<div class="block">SQL запрос для получения всех записей для создания <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#PSAddNewHuman">PSAddNewHuman</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса добавления <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> в БД</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#PSAddNewUser">PSAddNewUser</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса добавления новго пользателя в БД</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#PSAuthentication">PSAuthentication</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении информации об пользователи.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#PSCheckUser">PSCheckUser</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении существовании пользователя в БД</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#PSDeleteHuman">PSDeleteHuman</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса удаления <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из БД</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#PSGetAllHuman">PSGetAllHuman</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении всех сохраненных <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#startDB">startDB</a></span></code>
<div class="block">Существует ли подключение к БД</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#MasterDB--">MasterDB</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#checkAuterization-java.lang.String-java.lang.String-">checkAuterization</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;email,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;login)</code>
<div class="block">Проверяет, существует пользватель с таким email и login в БД</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#connect--">connect</a></span>()</code>
<div class="block">Метод, для содания подключения к БД.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#disconnect--">disconnect</a></span>()</code>
<div class="block">Метод, для прекращения работы с БД.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#getAllHumans--">getAllHumans</a></span>()</code>
<div class="block">Получает всех восстановленных пользователей из БД</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#isAutentification-java.lang.String-java.lang.String-">isAutentification</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;login,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;passwd)</code>
<div class="block">Проверяет введенные параметры на совпадение с БД</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#isConnect--">isConnect</a></span>()</code>
<div class="block">Проверка, есть ли подключение к БД.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#registrationNewAccount-java.lang.String-java.lang.String-java.lang.String-">registrationNewAccount</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;email,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;login,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;passwd)</code>
<div class="block">Заносит данные о новом пользователе в БД</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ru/lanolin/server/MasterDB.html#saveHuman-ru.lanolin.lib.fete.Fete-">saveHuman</a></span>(<a href="../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a>&nbsp;fete)</code>
<div class="block">Вносит изменения об <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из класса <a href="../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><code>Fete</code></a> в БД</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ADD_NEW_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADD_NEW_USER</h4>
<pre>private static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ADD_NEW_USER</pre>
<div class="block">SQL запрос для добавления нового пользователя.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#ru.lanolin.server.MasterDB.ADD_NEW_USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ADD_NEW_HUMAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADD_NEW_HUMAN</h4>
<pre>private static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ADD_NEW_HUMAN</pre>
<div class="block">SQL запрос для добавления нового <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> в БД</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#ru.lanolin.server.MasterDB.ADD_NEW_HUMAN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DELETE_HUMAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DELETE_HUMAN</h4>
<pre>private static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DELETE_HUMAN</pre>
<div class="block">SQL запрос для удаления <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из БД</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#ru.lanolin.server.MasterDB.DELETE_HUMAN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GET_ALL_HUMAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GET_ALL_HUMAN</h4>
<pre>private static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GET_ALL_HUMAN</pre>
<div class="block">SQL запрос для получения всех записей для создания <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#ru.lanolin.server.MasterDB.GET_ALL_HUMAN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CHECK_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHECK_USER</h4>
<pre>private static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CHECK_USER</pre>
<div class="block">SQL запрос для проврки на ссуществования пользователя в БД при регистарции</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#ru.lanolin.server.MasterDB.CHECK_USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="AUTHENTICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTHENTICATION</h4>
<pre>private static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> AUTHENTICATION</pre>
<div class="block">SQL запрос для получения записи об пользователе</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#ru.lanolin.server.MasterDB.AUTHENTICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="connection">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connection</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a> connection</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> для соединения с БД</div>
</li>
</ul>
<a name="PSAuthentication">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PSAuthentication</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a> PSAuthentication</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении информации об пользователи.</div>
</li>
</ul>
<a name="PSCheckUser">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PSCheckUser</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a> PSCheckUser</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении существовании пользователя в БД</div>
</li>
</ul>
<a name="PSDeleteHuman">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PSDeleteHuman</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a> PSDeleteHuman</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса удаления <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из БД</div>
</li>
</ul>
<a name="PSAddNewHuman">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PSAddNewHuman</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a> PSAddNewHuman</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса добавления <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> в БД</div>
</li>
</ul>
<a name="PSAddNewUser">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PSAddNewUser</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a> PSAddNewUser</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса добавления новго пользателя в БД</div>
</li>
</ul>
<a name="PSGetAllHuman">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PSGetAllHuman</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a> PSGetAllHuman</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a> для создания запроса получении всех сохраненных <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</li>
</ul>
<a name="startDB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startDB</h4>
<pre>private&nbsp;boolean startDB</pre>
<div class="block">Существует ли подключение к БД</div>
</li>
</ul>
<a name="configuration">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>configuration</h4>
<pre>private final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a> configuration</pre>
<div class="block">Настройки приложения.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MasterDB--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MasterDB</h4>
<pre>public&nbsp;MasterDB()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="connect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connect</h4>
<pre>public&nbsp;boolean&nbsp;connect()</pre>
<div class="block">Метод, для содания подключения к БД.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><code>Boolean</code></a>. <code>true</code> если успешно создано подключение</dd>
</dl>
</li>
</ul>
<a name="disconnect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disconnect</h4>
<pre>public&nbsp;void&nbsp;disconnect()</pre>
<div class="block">Метод, для прекращения работы с БД.</div>
</li>
</ul>
<a name="isConnect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnect</h4>
<pre>public&nbsp;boolean&nbsp;isConnect()</pre>
<div class="block">Проверка, есть ли подключение к БД.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><code>Boolean</code></a>. <code>true</code> если успешно создано подключение</dd>
</dl>
</li>
</ul>
<a name="getAllHumans--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllHumans</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;getAllHumans()</pre>
<div class="block">Получает всех восстановленных пользователей из БД</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> всех воссозданных <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></dd>
</dl>
</li>
</ul>
<a name="isAutentification-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutentification</h4>
<pre>public&nbsp;int&nbsp;isAutentification(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;login,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;passwd)</pre>
<div class="block">Проверяет введенные параметры на совпадение с БД</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>login</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> логин пользователя консоли</dd>
<dd><code>passwd</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> пароль пользователя консои</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><code>Integer</code></a> идентификатор пользователя</dd>
</dl>
</li>
</ul>
<a name="checkAuterization-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkAuterization</h4>
<pre>public&nbsp;boolean&nbsp;checkAuterization(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;email,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;login)</pre>
<div class="block">Проверяет, существует пользватель с таким email и login в БД</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> e-mail пользователя</dd>
<dd><code>login</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> login пользователя</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><code>Boolean</code></a> true если в бд содержиться записи</dd>
</dl>
</li>
</ul>
<a name="registrationNewAccount-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registrationNewAccount</h4>
<pre>public&nbsp;void&nbsp;registrationNewAccount(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;email,
                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;login,
                                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;passwd)</pre>
<div class="block">Заносит данные о новом пользователе в БД</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>. e-mail нового пользователя</dd>
<dd><code>login</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>. login нового пользователя</dd>
<dd><code>passwd</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>. pssword нового пользователя</dd>
</dl>
</li>
</ul>
<a name="saveHuman-ru.lanolin.lib.fete.Fete-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saveHuman</h4>
<pre>public&nbsp;void&nbsp;saveHuman(<a href="../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete">Fete</a>&nbsp;fete)</pre>
<div class="block">Вносит изменения об <a href="../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> из класса <a href="../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><code>Fete</code></a> в БД</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fete</code> - <a href="../../../ru/lanolin/lib/fete/Fete.html" title="class in ru.lanolin.lib.fete"><code>Fete</code></a>. Готовое мероприятие</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MasterDB.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../ru/lanolin/server/MailSend.MailAuthenticationPassword.html" title="class in ru.lanolin.server"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../ru/lanolin/server/Server.html" title="class in ru.lanolin.server"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?ru/lanolin/server/MasterDB.html" target="_top">Frames</a></li>
<li><a href="MasterDB.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
